ko.components.register('ko-filtercolumn', {
    viewModel: function (params) {
        var self = this;
        self.filterType = params.value;
        self.cols = params.cols;
        self.filterColTypes = ko.observableArray();
        self.getFilterTypes = function () {
            self.filterColTypes.removeAll();
            self.filterColTypes.push({ value: "_", text: "همه" });
            for (var m in self.cols) {
                if (self.cols.hasOwnProperty(m)) {
                    var param = self.cols[m];
                    if (param.filterType) {
                        self.filterColTypes.push({ value: param.colName, text: param.fa });
                    }
                }
            }
        }   
        self.getFilterTypes();
    },
    template: "<!-- ko template: { name: 'filtercolumn-component-t' } --><!-- /ko -->"

});